﻿@page

@model CreateArticleModel

@{
    ViewData["Title"] = "Créer un nouvel article";
}

<a asp-page="./ListArticle">Liste des articles</a>

<form method="post">
    <div asp-validation-summary="All"></div>

    <div>
        <label>title</label>
        <input type="text" asp-for="Article.Title" />
        <span asp-validation-for="Article.Title"></span>
    </div>

    <div>
        <label>image</label>
        <input type="text" asp-for="Article.Image" />
        <span asp-validation-for="Article.Image"></span>
    </div>

    <div>
        <label>description</label>
        <textarea asp-for="Article.Description"></textarea>
        <span asp-validation-for="Article.Description"></span>
    </div>

    <input type="submit" value="Créer l'article" />

</form>
